package com.zm.order.tool.server.dto;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author 陈标
 * @Date 2020/3/12 13:37
 */
public class OrderStatusFlowsDTO{

    /**
     * 主键id
     */
    private Long id;

    /**
     * 业务类型
     */
    private Integer bizType;

    /**
     * 单据类型 创建时分割用
     */
    private String docTypes;

    /**
     * 之前状态 创建时分割用
     */
    private String beforeStatusS;

    /**
     * 单据类型
     */
    private Integer docType;
    /**
     * 之前状态
     */
    private Integer beforeStatus;

    /**
     * 操作
     */
    private String operation;

    /**
     * 之后状态
     */
    private Integer afterStatus;

    /**
     * 创建时间
     */
    private Date createdAt;

    /**
     * 修改时间
     */
    private Date updatedAt;

    /**
     * 激活标识
     */
    private Integer isActivated;

    public String getBeforeStatusS() {
        return beforeStatusS;
    }

    public void setBeforeStatusS(String beforeStatusS) {
        this.beforeStatusS = beforeStatusS;
    }

    public Integer getIsActivated() {
        return isActivated;
    }

    public void setIsActivated(Integer isActivated) {
        this.isActivated = isActivated;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public Integer getDocType() {
        return docType;
    }

    public void setDocType(Integer docType) {
        this.docType = docType;
    }

    public String getDocTypes() {
        return docTypes;
    }

    public void setDocTypes(String docTypes) {
        this.docTypes = docTypes;
    }

    public Integer getBeforeStatus() {
        return beforeStatus;
    }

    public void setBeforeStatus(Integer beforeStatus) {
        this.beforeStatus = beforeStatus;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public Integer getAfterStatus() {
        return afterStatus;
    }

    public void setAfterStatus(Integer afterStatus) {
        this.afterStatus = afterStatus;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
